using Nirvana.Common;

namespace YBDevice.Entity
{
    /// <summary>
    /// 菜单按钮位置
    /// </summary>
    public enum MenuButtonPosition
    {
        /// <summary>
        /// 上部
        /// </summary>
        [EnumTitle("上部")]
        Top = 1,
        /// <summary>
        /// 表格头
        /// </summary>
        [EnumTitle("表格头")]
        TableTop = 2,
        /// <summary>
        /// 表格列
        /// </summary>
        [EnumTitle("表格列")]
        Table = 3
    }
    /// <summary>
    /// 常用状态定义
    /// </summary>
    public enum StatusType
    {
        /// <summary>
        /// 禁用
        /// </summary>
        [EnumTitle("禁用")]
        Disabled = 0,
        /// <summary>
        /// 正常
        /// </summary>
        [EnumTitle("正常")]
        Enabled = 1,
        /// <summary>
        /// 删除
        /// </summary>
        [EnumTitle("删除")]
        Delete = -1,
    }

    
    /// <summary>
    /// 公众号授权状态
    /// </summary>
    public enum AuthorizerStatus
    {
        /// <summary>
        /// 禁用
        /// </summary>
        [EnumTitle("取消授权")]
        Disabled = 0,
        /// <summary>
        /// 平台
        /// </summary>
        [EnumTitle("已授权")]
        Enabled = 1
    }
    /// <summary>
    /// 家庭成员类型
    /// </summary>
    public enum FamilyType
    {
        /// <summary>
        /// 成人
        /// </summary>
        [EnumTitle("成人")]
        Adult = 1,
        /// <summary>
        /// 儿童
        /// </summary>
        [EnumTitle("儿童")]
        Children = 2,
        /// <summary>
        /// 婴儿
        /// </summary>
        [EnumTitle("婴儿")]
        Baby = 3
    }

    /// <summary>
    /// 广告状态
    /// </summary>
    public enum AdStatus
    {
        /// <summary>
        /// 待发布
        /// </summary>
        [EnumTitle("待发布")]
        Wait = 0,
        /// <summary>
        /// 已发布
        /// </summary>
        [EnumTitle("已发布")]
        Run = 1,
        /// <summary>
        /// 已关闭
        /// </summary>
        [EnumTitle("已关闭")]
        Close = 2
    }
    /// <summary>
    /// 广告类型,1-文本,2-链接,3-跳转小程序
    /// </summary>
    public enum AdType
    {
        /// <summary>
        /// 文本
        /// </summary>
        [EnumTitle("文本")]
        Text = 1,
        /// <summary>
        /// 链接
        /// </summary>
        [EnumTitle("链接")]
        URL = 2,
        /// <summary>
        /// 小程序
        /// </summary>
        [EnumTitle("小程序")]
        MINIAPP =3
    }
    /// <summary>
    /// 广告位置类型
    /// </summary>
    public enum AdPositionType
    {
        /// <summary>
        /// 轮播图广告
        /// </summary>
        [EnumTitle("轮播图广告")]
        Banner = 1,
        /// <summary>
        /// 链接
        /// </summary>
        [EnumTitle("开屏广告")]
        Screen = 2
    }
    /// <summary>
    /// 儿童提醒类型
    /// </summary>
    public enum ChildAlertType
    {
        /// <summary>
        /// 红色预警
        /// </summary>
        [EnumTitle("红色预警")]
        RedAlert = 1,
        /// <summary>
        /// 橙色预警
        /// </summary>
        [EnumTitle("橙色预警")]
        OrangeAlert = 2,
        /// <summary>
        /// 黄色提醒
        /// </summary>
        [EnumTitle("黄色提醒")]
        YellowAlert = 3,
        /// <summary>
        /// 蓝色提醒
        /// </summary>
        [EnumTitle("蓝色提醒")]
        BlueReward = 4,
        /// <summary>
        /// 蓝色嘉奖
        /// </summary>
        [EnumTitle("绿色鼓励")]
        GreenAlert = 5
    }
    /// <summary>
    /// 儿童身高等级
    /// </summary>
    public enum ChildHeightLevel
    {
        /// <summary>
        /// 正常
        /// </summary>
        [EnumTitle("正常")]
        Normal = 1,
        /// <summary>
        /// 偏矮
        /// </summary>
        [EnumTitle("偏矮")]
        Low = 2,
        /// <summary>
        /// 偏高
        /// </summary>
        [EnumTitle("偏高")]
        Height = 3,
        /// <summary>
        /// 矮
        /// </summary>
        [EnumTitle("矮")]
        MoreLow = 4,
        /// <summary>
        /// 高
        /// </summary>
        [EnumTitle("高")]
        MoreHeight = 5,
        /// <summary>
        /// 太低的异常
        /// </summary>
        [EnumTitle("太低的异常")]
        Error = 6,
        /// <summary>
        /// 太高的异常
        /// </summary>
        [EnumTitle("太高的异常")]
        HError = 7,
        /// <summary>
        /// 略矮
        /// </summary>
        [EnumTitle("略矮")]
        LittleLow = 8,
        /// <summary>
        /// 略高
        /// </summary>
        [EnumTitle("略高")]
        LittleHeight = 9
    }
    /// <summary>
    /// 儿童增量等级
    /// </summary>
    public enum ChildYearHeightLevel
    {
        /// <summary>
        /// 正常
        /// </summary>
        [EnumTitle("正常")]
        Normal = 1,
        /// <summary>
        /// 偏低
        /// </summary>
        [EnumTitle("偏低")]
        Low = 2
    }
    /// <summary>
    /// 性别
    /// </summary>
    public enum GenderType
    {
        /// <summary>
        /// 未知
        /// </summary>
        [EnumTitle("未知")]
        UnKnow = 0,
        /// <summary>
        /// 男
        /// </summary>
        [EnumTitle("男")]
        Male = 1,
        /// <summary>
        /// 女
        /// </summary>
        [EnumTitle("女")]
        FeMale = 2
    }
}
